%global _empty_manifest_terminate_build 0
Name:           python-pycountry
Version:        24.6.1
Release:        1
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
License:        LGPL 2.1
URL:            https://github.com/flyingcircusio/pycountry
Source0:        https://files.pythonhosted.org/packages/08/4a/137f422423b9c85148183691da65c5c843a209b7fc0c33a5144489366f53/pycountry-24.6.1.tar.gz
BuildArch:      noarch
%description
pycountry provides the ISO databases for the standards:
* 639-3 Languages
* 3166 Countries
* 3166-3 Deleted countries
* 3166-2 Subdivisions of countries
* 4217 Currencies
* 15924 Scripts

%package -n python3-pycountry
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
Provides:       python-pycountry
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-poetry-core
# Test running requires
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-importlib-metadata
%description -n python3-pycountry
pycountry provides the ISO databases for the standards:
* 639-3 Languages
* 3166 Countries
* 3166-3 Deleted countries
* 3166-2 Subdivisions of countries
* 4217 Currencies
* 15924 Scripts

%package help
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
Provides:       python3-pycountry-doc
%description help
pycountry .. image:g: provides the ISO databases for the standards:639-3 <
Languages 3166 < Countries 3166-3 < Deleted countries 3166-2 < Subdivisions of
countries 4217 < Currencies 15924 < ScriptsThe package includes a copy from
Debian's pkg-isocodes < and makes the data accessible through a Python API.

%prep
%autosetup -n pycountry-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%check
PYTHONPATH=src/ pytest --pyargs pycountry

%files -n python3-pycountry
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/pycountry*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jun 24 2024 liuzhilin <liuzhilin@kylinos.cn> - 24.6.1-1
- Update package to version 24.6.1
- Fixed import of importlib_metadata to importlib.metadata
- Fixed bug causing parent subdivision codes to be returned with additional country code preceding (i.e. GB-GB-ENG instead of GB-ENG)

* Wed Mar 20 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 23.12.11-1
- Update package to version 23.12.11
  Codestyle after merging older PR
  Update documentation for iso3166.mo files
  Drop Python 3.6, add Python 3.11

* Thu Jul 14 2022 OpenStack_SIG <openstack@openeuler.org> - 22.3.5-1
- Init package python3-pycountry of version 22.3.5
